Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gst-plugins-base-1.14.1 fails [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Tae_kyon
n00b
n00b


Joined: 19 Apr 2006
Posts: 60

PostPosted: Sat Jun 23, 2018 7:03 am    Post subject: gst-plugins-base-1.14.1 fails [solved] Reply with quote

On my ~amd64 system:

Code:
emerge -pvDu --with-bdeps=y --newuse @world


I get a list of gst-plugins to update, starting with gst-plugins-base-1.14.1.

This immediately fails with:

Code:
checking for libdrm/drm_fourcc.h... yes
checking for glTexDirectVIV in -lGLESv2... no
checking whether it is possible to include both GL and GLES2 headers... no
configure: error: Cannot seem to include both GL and GLES2 headers. Try disabling one API

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-libs/gst-plugins-base-1.14.1/work/gst-plugins-base-1.14.1-abi_x86_32.x86/config.log
 * ERROR: media-libs/gst-plugins-base-1.14.1::gentoo failed (configure phase):
 *   econf failed


Obvious solution seems to be adding either -opengl or -gles2 to package.use but this sets off a series of further necessary USE flag changes which become recursive, prompting me to add and then remove the same flags for the same packages.

Is this a problem with gst-plugins-base which should be able to build including both GL and GLES2 headers, or is it a problem with use flags of the gst-plugins packages I wonder?
Note: gst-plugins-base-1.12.4 is regularly installed.

Second note: is getting rid of gst-plugins altogether an option?
_________________
We shall not cease from exploration. And the end of all our exploring
will be to arrive where we started and know the place for the first time


Last edited by Tae_kyon on Sat Jun 23, 2018 11:06 am; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21334
Location: here

PostPosted: Sat Jun 23, 2018 7:32 am    Post subject: Reply with quote

You can't remove gles2 globally having regard to the fact that is opengl for embedded system?
Otherwise post emerge output when you remove gles2 use flag?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Tae_kyon
n00b
n00b


Joined: 19 Apr 2006
Posts: 60

PostPosted: Sat Jun 23, 2018 11:02 am    Post subject: Reply with quote

Ok, removed gles2 globally, then for some reason it requires me to add USE="gles2" to media-libs/mesa and media-libs/cogl.

Once I do that, I can emerge the whole series of gst-plugins

Thanks
_________________
We shall not cease from exploration. And the end of all our exploring
will be to arrive where we started and know the place for the first time
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum